GeminiGemini
SandboxGet API key
  • Crypto Trading
  • Prediction Markets
Changelog
Gemini Crypto Exchange LogoGemini Crypto Exchange Logo

© 2026 Gemini Space Station, Inc.

Cancel Order

Prediction MarketsOrder ManagementCancel Order

Cancel Order

POSThttps://api.gemini.com/v1/prediction-markets/order/cancel

Cancel an existing prediction market order.

POSTv1/prediction-markets/order/cancel
curl --request POST \
  --url https://api.gemini.com/v1/prediction-markets/order/cancel \
  --header 'Content-Type: application/json' \
  --header 'X-GEMINI-APIKEY: <string>' \
  --header 'X-GEMINI-PAYLOAD: <string>' \
  --header 'X-GEMINI-SIGNATURE: <string>' \
  --data '{"orderId":12345678}'

Roles

The API key you use to access this endpoint must have the Trader role assigned. See Roles for more information.

Headers

X-GEMINI-APIKEYstring·required
Your API key
X-GEMINI-SIGNATUREstring·required
HEX-encoded HMAC-SHA384 of payload signed with API secret
X-GEMINI-PAYLOADstring·required
Base64-encoded JSON payload
Content-Typestring
Default: text/plain
Content-Lengthstring
Default: 0
Cache-Controlstring
Default: no-cache

Request Body

orderIdinteger (int64)·required
The order ID to cancelExample: 12345678

Responses

Order cancelled successfully

resultstring
Example: ok
messagestring
Example: Order 12345678 cancelled successfully
PreviousPlace OrderNextGet Active Orders
Last modified on May 5, 2026